| Home | Libraries | People | FAQ | More

## Function stable_sort

boost::compute::stable_sort

## Synopsis

    // In header: <boost/compute/algorithm/stable_sort.hpp>

    template<typename Iterator, typename Compare>
      void stable_sort(Iterator first, Iterator last, Compare compare,
                       command_queue & queue = system::default_queue());
    template<typename Iterator>
      void stable_sort(Iterator first, Iterator last,
                       command_queue & queue = system::default_queue());

## Description

Sorts the values in the range [`first`, `last`) according to `compare`. The relative order of identical values is preserved.

Space complexity: \Omega(n)

See Also:

sort(), is_sorted()